Package de.gebit.integrity.runner.exceptions

## Class ModelLinkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.gebit.integrity.runner.exceptions.ModelLoadException
      - - de.gebit.integrity.runner.exceptions.ModelLinkException

- All Implemented Interfaces:
    `Serializable`

      public class ModelLinkException
      extends ModelLoadException

  Thrown if any `EObject`s remain unresolvable during model linking. This may be caused by missing .integrity files or unresolvable classes.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelLinkException​(String aMessage, Set<org.eclipse.emf.ecore.EObject> someUnresolvableObjects)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<org.eclipse.emf.ecore.EObject>` | `getUnresolvableObjects()` |
    `void` | `printUnresolvableObjects()` | Prints a readable list of all unresolvable objects to `System.err`.
    `void` | `printUnresolvableObjects​(PrintStream aTargetStream)` | Prints a readable list of all unresolvable objects to the given stream.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelLinkException

          public ModelLinkException​(String aMessage,
                                    Set<org.eclipse.emf.ecore.EObject> someUnresolvableObjects)

      Creates a new instance.
      Parameters:
        `aMessage` - the error message
        `someUnresolvableObjects` - the unresolvable objects

  - ### Method Detail

    - #### getUnresolvableObjects

          public Set<org.eclipse.emf.ecore.EObject> getUnresolvableObjects()

    - #### printUnresolvableObjects

          public void printUnresolvableObjects()

      Prints a readable list of all unresolvable objects to `System.err`.

    - #### printUnresolvableObjects

          public void printUnresolvableObjects​(PrintStream aTargetStream)

      Prints a readable list of all unresolvable objects to the given stream.
      Parameters:
        `aTargetStream` - the target stream